Package org.mariadb.jdbc.export

## Interface Prepare

All Known Implementing Classes:
  `CachedPrepareResultPacket`, `PrepareResultPacket`

    public interface Prepare

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close​(org.mariadb.jdbc.client.Client con)`
`void` `decrementUse​(org.mariadb.jdbc.client.Client con, ServerPreparedStatement preparedStatement)`
`org.mariadb.jdbc.client.Column[]` `getColumns()`
`org.mariadb.jdbc.client.Column[]` `getParameters()`
`int` `getStatementId()`
`void` `setColumns​(org.mariadb.jdbc.client.Column[] columns)`

### Method Detail

#### close

    void close​(org.mariadb.jdbc.client.Client con)
        throws SQLException

Throws:
  `SQLException`

#### decrementUse

    void decrementUse​(org.mariadb.jdbc.client.Client con,
                      ServerPreparedStatement preparedStatement)
               throws SQLException

Throws:
  `SQLException`

#### getStatementId

    int getStatementId()

#### getParameters

    org.mariadb.jdbc.client.Column[] getParameters()

#### getColumns

    org.mariadb.jdbc.client.Column[] getColumns()

#### setColumns

    void setColumns​(org.mariadb.jdbc.client.Column[] columns)